Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::AppModuleMultiSession Class Reference

The multi session app module adds functionality for adding multiple sessions where each session uses a different sensor. More...

`#include <AppModuleMultiSession.h>`

Inheritance diagram for ArgusSamples::AppModuleMultiSession:

List of all members.

## Public Member Functions
| AppModuleMultiSession ()
virtual | ~AppModuleMultiSession ()
IAppModule methods
virtual bool | initialize (Options &options)
| Initialize.
virtual bool | shutdown ()
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)
| Start the module.
virtual bool | stop ()
| Stop the module.
Public Member Functions inherited from ArgusSamples::IAppModule
| IAppModule ()
virtual | ~IAppModule ()

## Private Attributes
bool | m_initialized
| set if initialized
TaskMultiSession | m_multiSession
| multi session task

## Detailed Description

The multi session app module adds functionality for adding multiple sessions where each session uses a different sensor.

Definition at line 42 of file AppModuleMultiSession.h.

## Constructor & Destructor Documentation

ArgusSamples::AppModuleMultiSession::AppModuleMultiSession | ( |  | ) |

Definition at line 39 of file AppModuleMultiSession.cpp.

ArgusSamples::AppModuleMultiSession::~AppModuleMultiSession | ( |  | ) |
| virtual

Definition at line 44 of file AppModuleMultiSession.cpp.

## Member Function Documentation

bool ArgusSamples::AppModuleMultiSession::initialize | ( | Options & | options | ) |
| virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implements ArgusSamples::IAppModule.

Definition at line 49 of file AppModuleMultiSession.cpp.

bool ArgusSamples::AppModuleMultiSession::shutdown | ( |  | ) |
| virtual

Shut down.

Implements ArgusSamples::IAppModule.

Definition at line 61 of file AppModuleMultiSession.cpp.

bool ArgusSamples::AppModuleMultiSession::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |
| virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implements ArgusSamples::IAppModule.

Definition at line 72 of file AppModuleMultiSession.cpp.

bool ArgusSamples::AppModuleMultiSession::stop | ( |  | ) |
| virtual

Stop the module.

Implements ArgusSamples::IAppModule.

Definition at line 79 of file AppModuleMultiSession.cpp.

## Member Data Documentation

bool ArgusSamples::AppModuleMultiSession::m_initialized
| private

set if initialized

Definition at line 58 of file AppModuleMultiSession.h.

TaskMultiSession ArgusSamples::AppModuleMultiSession::m_multiSession
| private

multi session task

Definition at line 59 of file AppModuleMultiSession.h.

The documentation for this class was generated from the following files:

- ui/multiSession/AppModuleMultiSession.h
- ui/multiSession/AppModuleMultiSession.cpp